OpenVDB: SparseMaskedExtractor< DenseType, MaskTreeType > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
SparseMaskedExtractor< DenseType, MaskTreeType > Class Template Reference

Functor-based class used to extract data from a dense grid, at the index-space intersection with a supplied mask in the form of a sparse tree. The `extractSparseTreeWithMask` function wraps this class. More...

`#include <DenseSparseTools.h>`

## Public Types
typedef DSConverter< DenseType, MaskTreeType >::Type | _ResultTreeType
typedef _ResultTreeType | ResultTreeType
typedef ResultTreeType::LeafNodeType | ResultLeafNodeType
typedef ResultTreeType::ValueType | ResultValueType
typedef ResultValueType | DenseValueType
typedef ResultTreeType::template ValueConverter< bool >::Type | BoolTree
typedef BoolTree::LeafCIter | BoolLeafCIter
typedef std::vector< const typename BoolTree::LeafNodeType * > | BoolLeafVec

## Public Member Functions
| SparseMaskedExtractor (const DenseType &dense, const ResultValueType &background, const BoolLeafVec &leafVec)
| SparseMaskedExtractor (const SparseMaskedExtractor &other, tbb::split)
ResultTreeType::Ptr | extract (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (SparseMaskedExtractor &rhs)

## Detailed Description

### template<typename DenseType, typename MaskTreeType>
class openvdb::v3_1_0::tools::SparseMaskedExtractor< DenseType, MaskTreeType >

Functor-based class used to extract data from a dense grid, at the index-space intersection with a supplied mask in the form of a sparse tree. The `extractSparseTreeWithMask` function wraps this class.

## Member Typedef Documentation

typedef DSConverter<DenseType, MaskTreeType>::Type _ResultTreeType

typedef BoolTree::LeafCIter BoolLeafCIter

typedef std::vector<const typename BoolTree::LeafNodeType*> BoolLeafVec

typedef ResultTreeType::template ValueConverter<bool>::Type BoolTree

typedef ResultValueType DenseValueType

typedef ResultTreeType::LeafNodeType ResultLeafNodeType

typedef _ResultTreeType ResultTreeType

typedef ResultTreeType::ValueType ResultValueType

## Constructor & Destructor Documentation

SparseMaskedExtractor | ( | const DenseType & | dense,
|  | const ResultValueType & | background,
|  | const BoolLeafVec & | leafVec
| ) |  |
| inline

SparseMaskedExtractor | ( | const SparseMaskedExtractor< DenseType, MaskTreeType > & | other,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

ResultTreeType::Ptr extract | ( | bool | threaded = `true` | ) |
| inline

void join | ( | SparseMaskedExtractor< DenseType, MaskTreeType > & | rhs | ) |
| inline

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this class was generated from the following file:

- DenseSparseTools.h